net.corda.core.contracts

## Class Tenor

- net.corda.core.contracts.Tenor

-     public class Tenor

  Placeholder class for the Tenor datatype - which is a standardised duration of time until maturity

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tenor(java.lang.String name)` Placeholder class for the Tenor datatype - which is a standardised duration of time until maturity

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `component1()`
    `Tenor` | `copy(java.lang.String name)` Placeholder class for the Tenor datatype - which is a standardised duration of time until maturity
    `int` | `daysToMaturity(java.time.LocalDate startDate, BusinessCalendar calendar)`
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.String` | `getName()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Tenor

          public Tenor(java.lang.String name)

      Placeholder class for the Tenor datatype - which is a standardised duration of time until maturity

  - ### Method Detail

    - #### daysToMaturity

          public int daysToMaturity(java.time.LocalDate startDate,
                                    BusinessCalendar calendar)

    - #### toString

          public java.lang.String toString()

    - #### getName

          public java.lang.String getName()

    - #### component1

          public java.lang.String component1()

    - #### copy

          public Tenor copy(java.lang.String name)

      Placeholder class for the Tenor datatype - which is a standardised duration of time until maturity

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)